<html>
<head>
	<link type="text/css" rel="stylesheet" href="/style-guide/css/fluig-style-guide.min.css"/>
	<script type="text/javascript" src="/portal/resources/js/jquery/jquery.js"></script>
	<script type="text/javascript" src="/portal/resources/js/jquery/jquery-ui.min.js"></script>
	<script type="text/javascript" src="/portal/resources/js/mustache/mustache-min.js"></script>
	<script type="text/javascript" src="/style-guide/js/fluig-style-guide.min.js" charset="utf-8"></script>
</head>
<style>
	.fluig-style-guide .help-block {
		display: none;
	}
</style>
<body>
	<div class="fluig-style-guide">
		<form name="form" role="form">
			<div class="panel panel-primary col-md">
				<div class="panel-heading">
					<h3 class="panel-title"><span class="fluigicon fluigicon-user fluigicon-md"></span>Formulário Exemplo</h3>
				</div>
				<div class="panel-body" >
					<!-- -------------------------------------------------ROW--------------------------------------------------------------------- -->
					<div class="row">
						<div class="form-group container">
							<label for="nomeCliente" class="col-sm-12 control-label">i18n.translate("nome_cliente")</label>
							<div class="col-sm-12">
							    <input type="text" class="form-control" name="nomeCliente" id="nomeCliente" required/>
							    <p class="help-block">Campo obrigatório.</p>
							</div>
						</div>
						<div class="form-group container">
							<label for="descricaoCliente" class="col-sm-12 control-label">Descricao</label>
							<div class="col-sm-12">
							    <input type="text" class="form-control" name="descricaoCliente" id="descricaoCliente" required/>
							    <p class="help-block">Campo obrigatório.</p>
							</div>
						</div>
						<div class="form-group container">
							<label for="nomeUsuario" class="col-sm-12 control-label">Usuário</label>
							<div class="col-sm-12">
							    <select class="form-control" name="nomeUsuario" id="nomeUsuario" dataset="AccessLog" 
							    	datasetkey="accessLogPK.colleagueId" datasetvalue="accessLogPK.colleagueId" required></select>
							    <p class="help-block">Campo obrigatório.</p>
							</div>
						</div>
					</div>
					<!-- -------------------------------------------------FIM-ROW--------------------------------------------------------------------- -->
				</div>
			</div>
		</form>
	</div>
</body>
<script>
	function addCampoObrigatorio(campo) {
		if(campo.parents("div.form-group").find("span.text-danger:first").length == 0) {
			campo.parents("div.form-group").find("label.control-label:first").append('<span class="text-danger"> *</span>');
		}
	}
	function removeCampoObrigatorio(campo) {
		campo.parents("div.form-group").find("span.text-danger:first").remove();
	}
	function addErro(campo) {
	    campo.parents("div.form-group").removeClass('has-success').addClass('has-error');
	    campo.focus();
	    campo.next().show();
	}
	function addSuccess(campo) {
	    campo.parents("div.form-group").removeClass('has-error').addClass('has-success');
	    campo.focus();
	    campo.next().hide();
	}

	var beforeSendValidate = function(numState,nextState) {
   	 	$("input:required, select:required, textarea:required").each(function(index, value){
            if ($(this).val() == '') {
                addErro($(this));
                addCampoObrigatorio($(this));
            } else {
                addSuccess($(this));
                removeCampoObrigatorio($(this));
            }
        });
        return true;
     };
</script>
</html>